/***********************************************************************************/
/* Copyright (c) 2017, SAS Institute Inc., Cary, NC, USA, All Rights Reserved      */
/*                                                                                 */
/* NAME:          ecmrr_resp_fincen_ctrx                                           */
/* PRODUCT:       Enterprise Case Management                                       */
/* PURPOSE:       Process ctr response file.                                       */
/* PARAMETERS:    indsn_response_meta=name of reponse metadata table               */
/*                response_type_cd=type of response file (XML for acknowledgement  */
/*                                 receipts.                                       */
/*                infref=file reference for the directory where ctrx responses can */
/*                       be found.                                                 */
/* NOTE:                                                                           */
/***********************************************************************************/


%macro ecmrr_resp_fincen_ctrx(    indsn_response_meta=
                                , response_type_cd=XML
                                , infref=   
                                , testYN=N 
                              );
 %put %sysfunc(sasmsg(&smdds,GEN_MAC_START_NOTE,NOQUOTE,&sysmacroname)) ;


%if %upcase(&response_type_cd) eq XML %then 
%do;

    /* read the CTRX response file */
    /* _1A, _3A,  _ctrx_error_codes are the expected output */
    %ecmrr_resp_fincen_ctrx_read(infref=&infref);  
    %if &successYN=N %then %goto mEXIT;  
  
    /* Add the response data to response tables in ECM_RPT */    
    %ecmrr_resp_fincen_update(       indsn_response_meta=&indsn_response_meta
                                   , indsn_error_codes=_ctrx_error_codes
                                   , indsn_1A=_1A
                                   , indsn_3A=_3A
                                   , form_type_cd=CTRX
                                   , testYN=&testYN
                                  );
     %if &successYN=N %then %goto mEXIT; 

    
%end;



%mexit:
%put %sysfunc(sasmsg(&smdds,GEN_MAC_END_NOTE,NOQUOTE,&sysmacroname)) ;


%mend;
