/***********************************************************************************/
/* Copyright (c) 2014, SAS Institute Inc., Cary, NC, USA, All Rights Reserved      */
/*                                                                                 */
/* NAME:          ecmrr_resp_fincen_sarx                                           */
/* PRODUCT:       Enterprise Case Management                                       */
/* PURPOSE:       Process SAR XML response file.                                   */
/* PARAMETERS:    indsn_response_meta=name of reponse metadata table               */
/*                response_type_cd=type of response file (XML for acknowledgement  */
/*                                 receipts.                                       */
/*                infref=file reference for the directory where SAR responses can  */
/*                       be found.                                                 */
/* NOTE:                                                                           */
/***********************************************************************************/

%macro ecmrr_resp_fincen_sarx(    indsn_response_meta=
                                , response_type_cd=XML
                                , infref= 
                                , testYN=N 
                              );
 
%put %sysfunc(sasmsg(&smdds,GEN_MAC_START_NOTE,NOQUOTE,&sysmacroname)) ;

%if %upcase(&response_type_cd) eq XML %then %do;

    /* read the CTR response file */
    
    %ecmrr_resp_fincen_sarx_read(infref=&infref);    
  
    /* Add the response data to response tables in ECM_RPT */
    
    %if &successYN=N %then %goto mEXIT; 

    %ecmrr_resp_fincen_update(   indsn_response_meta=&indsn_response_meta
                               , indsn_error_codes=_sarx_error_codes
                               , indsn_1A=_1A
                               , indsn_3A=_3A
                               , form_type_cd=SARX
                               , testYN=&testYN
                             );
    %if &successYN=N %then %goto mEXIT; 
    
%end;



%mexit:
%put %sysfunc(sasmsg(&smdds,GEN_MAC_START_NOTE,NOQUOTE,&sysmacroname)) ;


%mend;
