@echo off

@rem The war file has the runtime libraries required to execute this utility.
if not exist "sas.solutions.casemgmt.war" goto NeedWar

@rem Extract the needed runtime library files.
if exist "WEB-INF\lib" goto skipExtractLib
"%JAVA_HOME%\bin\jar.exe" xf sas.solutions.casemgmt.war WEB-INF/lib
:skipExtractLib

@rem set the environment
call env_bulkLoadUtility.bat

@set BLU_PORT_COLON=:
@if "%BLU_PORT%"=="" set BLU_PORT_COLON=

@rem Execute the utility.
"%JAVA_HOME%\bin\java.exe" ^
   -Dsearch.logon.url=http://%BLU_HOST%%BLU_PORT_COLON%%BLU_PORT%/SASLogon ^
   -Dsearch.logon.username=%BLU_USERNAME% ^
   -Dsearch.logon.password=%BLU_PASSWORD% ^
   -Dsearch.index.service.url=http://%BLU_HOST%%BLU_PORT_COLON%%BLU_PORT%/SASEntCaseManagement/api/search ^
   -Dsearch.q.directory=%BLU_Q_DIRECTORY% ^
   -Dsearch.action.clean.q.directory=%BLU_ACTION_CLEAN_Q% ^
   -Dsearch.action.push.to.q=%BLU_ACTION_PUSH_TO_Q% ^
   -Dsearch.action.pop.from.q=%BLU_ACTION_POP_FROM_Q% ^
   -Dsearch.selected.document.types=%BLU_SELECTED_DOCUMENT_TYPES% ^
   -Dsearch.attachments.temp.directory=attachments_temp_directory ^
   -Dlog4j.configuration=log4j.properties ^
   -classpath WEB-INF\lib;WEB-INF\lib\* ^
   com.sas.fcs.search.bulkload.cli.App 

goto End

:NeedWar
echo File "sas.solutions.casemgmt.war" not found. This is required, please put a copy in this directory. 
goto End

:End
endlocal