
/***********************************************************************************/
/* Copyright (c) 2017, SAS Institute Inc., Cary, NC, USA, All Rights Reserved      */
/*                                                                                 */
/* NAME:          ecmrr_efile_fincen_ctrx_data                                     */
/* PRODUCT:       Enterprise Case Management                                       */
/* PURPOSE:       Transform the RR data for CTRX efiling                           */
/* PARAMETERS:                                                                     */
/*                rr_subset: name of table containing all RR_RK to be refiled      */
/*                rr_config_rk: key of the report to efile (required)              */
/* NOTE:                                                                           */
/***********************************************************************************/
%macro ecmrr_efile_fincen_ctrx_data(rr_subset_dsn=, form_config_rk=212);
                                          

%put %sysfunc(sasmsg(&smdds,GEN_MAC_START_NOTE,NOQUOTE,&sysmacroname)) ;

%let successYN=Y; 

proc sort data=&rr_subset_dsn;
     by rr_rk;
run;
 

%ecmrr_efile_fincen_ctrx_detail(rr_subset_dsn=&rr_subset_dsn, outdsn=rr_udf);

%if &successYN=N %then %goto mExit;

 
filename rawxml "%sysfunc(pathname(work))/ctrxRaw.xml";
%let x_filed_dt=%sysfunc(today(),best);

%ecmrr_efile_fincen_ctrx_sum(rr_udf_dsn=rr_udf, outfref=rawxml,x_filed_dt=&x_filed_dt);

%if &successYN=N %then %goto mExit;

/* creating data for data base update */
/* z_rr_efiled will be used by ecmrr_efile_fincen_ctrx_driver */ 
data  z_rr_efiled;
      set &rr_subset_dsn;
      efile_report_seq_no=_n_;
	  x_filed_dt=&x_filed_dt;
	  format x_filed_dt nldate10.;
run;  

%if &syserr > 4 %then 
%do;      
     %put ERROR: cannot generate rawXml.;
	 %let successYN=N;
     %goto mExit;
%end;
    

%mExit: 

 
%put %sysfunc(sasmsg(&smdds,GEN_MAC_END_NOTE,NOQUOTE,&sysmacroname)) ;

%mend;
 
