
/***********************************************************************************/
/* Copyright (c) 2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved      */
/*                                                                                 */
/* NAME:          ecmrr_efile_update_rr                                            */
/* PRODUCT:       Enterprise Case Management                                       */
/* PURPOSE:       run update webservice to update reports after an efile is        */
/*                generated.                                                       */
/* PARAMETERS:    form_config_rk= form config key                                  */ 
/*                                This parameter is passed in case different logic */
/*                                is needed for different form.                    */
/*                rr_input_dsn= table containing rr data                           */
/*                efile_dt_var= name of the variable for efile date                */
/*                efile_dt_value=value of the efile date                           */
/* NOTE:                                                                           */
/***********************************************************************************/
%macro ecmrr_efile_update_rr (form_config_rk=,
                              rr_indsn=,
                              efile_dt_var=,
                              efile_dt_value=
                             );

%if %upcase(&rr_indsn) ne Z_RR_EFILED %then
%do;
proc sql;
      create table z_rr_efiled as
      select rr_rk,             
             z_rr_seq_no as efile_report_seq_no
             %if &efile_dt_var ne and &efile_dt_value ne %then
             %do;
                 , &efile_dt_value as &efile_dt_var format=nldate10.
             %end;
      from &rr_indsn 
      ;
      quit;
%end;

%ecm_ws_update(datatype=RR,
               indsn=z_rr_efiled,
                outdsn=z_rr_efiled_WS
               );

filename rrequest temp;
%ecm_ws_writeXMl(indsn=z_rr_efiled_ws,outfref=rrequest);

filename rresp temp;
filename soapcfg "&ecm_config_path&slash.Source&slash.form_template&slash.ecm_soap_config.xml";
%ecm_ws_soap(infref=rrequest,outfref=rresp,cfgfref=soapcfg);
filename soapcfg clear; 

%mExit:

%mend;
 
