﻿/***********************************************************************************/
/* Copyright (c) 2011, SAS Institute Inc., Cary, NC, USA, All Rights Reserved      */
/*                                                                                 */
/* NAME:          ecmrr_prvw_fincen_sardi_data_setup                               */
/* PRODUCT:       Enterprise Case Management                                       */
/* PURPOSE:       Transform the RR data for report preview                         */
/* PARAMETERS:                                                                     */
/*                rr_config_rk: key of the report to preview (required)            */
/* NOTE:                                                                           */
/***********************************************************************************/
%macro ecmrr_fdf_direct(source_field_nm=,target_field_nm=,source_field_exp=,P1=);
%if %str(&source_field_exp) ne %str() %then
%do;
    source_field_value=strip(%unquote(&source_field_exp));
%end;
%else
%do; 
    source_field_value=strip(&source_field_nm);
%end;


if source_field_value > '' then
do;

/* Cases where a parenthesis is part of data field, will escape the parenthesis */
/* just in case there is a not a matching pair.                                 */
if index(source_field_value,'(') > 0 then 
	   source_field_value=tranwrd(source_field_value,'(','\(');
if index(source_field_value,')') > 0 then 
	   source_field_value=tranwrd(source_field_value,')','\)');

if length(source_field_value) <= 200 then
do; 

	   
    outline='<</T('
        ||"&target_field_nm"
        ||')/V('
        ||strip(source_field_value)
        ||')>>';

    put outline;
end;
else
do;
    outline='<</T('
        ||"&target_field_nm"
        ||')/V('    
         
    ;
                put outline;
                startpos=1;
                do while (substrn(source_field_value,startpos,255) ne '');
                     outline=substrn(source_field_value,startpos,255);

                  if substrn(outline,255,1) ='\' then do;
                    outline=substrn(source_field_value,startpos,254);
                    startpos=startpos-1; 
                  end;
                  put outline +(-1) '\';
                  startpos=startpos+255;
               end;
                outline=')>>';
    put outline;
end;

end;
%mend;
